@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface JsonValidatorEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
JsonValidatorEndpointBuilderFactory.AdvancedJsonValidatorEndpointBuilder
Advanced builder for endpoint for the JSON Schema Validator component.
|
static interface |
JsonValidatorEndpointBuilderFactory.JsonValidatorBuilders |
static interface |
JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder
Builder for endpoint for the JSON Schema Validator component.
|
| Modifier and Type | Method and Description |
|---|---|
static JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder |
jsonValidator(String path)
JSON Schema Validator (camel-json-validator)
Validates the payload of a message using NetworkNT JSON Schema library.
|
static JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder jsonValidator(String path)
json-validator:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel